#ifndef windata_h
#define windata_h

#include <InterViews\defs.h>
#include <windows.h>

class Interactor;
class Scene;
class Bitmap;

class WindowData {
private:
    friend class Interactor;
    friend class Scene;

    WindowData();
    ~WindowData();

    HICON GetWndIcon();
    HICON MakeWndIcon(Bitmap*, Bitmap*);
    void* GetWndClass();
    const char* GetWndName();
    DWORD GetWndStyle();

    char        class_name[9];
    Interactor* ia;
    HICON       hIcon;
};
#endif

